/*フォーム全体のレイアウト*/
.contentsFrame1 {
  overflow: hidden;
  background: #fff;
  border-radius: 2px;
  border: 1px solid #d5d6d7;
  position: relative;
}

.contentsFrame1:before {
  display: block;
  content: '';
  position: absolute;
  z-index: 10;
  border-radius: 2px 2px 0 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 4px;
  background: #0069d5;
}

/*全体のパディング*/
.contentsFrame1_inner form {
  padding: 40px 220px 0 220px;
}

/*floatを解除して縦並びに*/
.grid.is-type9 > .grid_unit {
  margin-top: 16px;
  float: none;
  width: auto;
}

/*検索エリアの幅*/
.grid.is-type9 {
  width: 580px;
  margin-top: 16px;
}

/* ------------------------------------------------- *
*        frame8
* ------------------------------------------------- */
/*!*フォームを横並びに*!*/
.frame8 {
  display: flex;
  align-items: center;
  margin-top: 30px;
  overflow: hidden;
  background: none;

  &:first-child {
    margin-top: 0;
  }

  &.is-type1 {
    margin-top: 16px;

    .frame8_inner {
      padding: 0;
      margin-left: auto;
    }
  }

  &.is-type2 {
    .frame8_inner {
      padding: 12px;
    }
  }
}

.frame8_inner {
  padding: 0;
}

/*ボートレーサー名、吹き出しを非表示にする*/
.frame9 {
  position: relative;
  margin-top: 30px;
  background: none;
  box-shadow: none;

  &:first-child {
    margin-top: 0;
  }

  &.is-type1 {
    margin-top: 15px;

    .frame9_inner {
      padding: 10px;
    }
  }

  &_inner {
    padding: 20px;
    box-sizing: border-box;
  }
}

/* ------------------------------------------------- *
*        label
* ------------------------------------------------- */
.search-label-wrapper {
  padding: 11px 0;
  line-height: 16px;
}
.search-label {
  position: relative;
  font-size: 13px;
  font-weight: bold;
  padding-left: 10px;
  color: #666c75;
  &::before {
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 3px;
    height: 16px;
    background: #0069d5;
  }
}

/*必須入力の説明*/
.required {
  text-align: center;
  font-size: 14px;
  color: #666c75;
  font-weight: bold;
  margin-top: 30px;

  &::after {
    display: block;
    content: '';
    position: absolute;
    width: 580px;
    height: 1px;
    margin-top: 16px;
    background: #cacfd3;
  }
}

/*入力例について*/
.input-example {
  text-align: end;
  margin-top: 12px;
}
.input-example__description {
  text-align: end;
  color: #0069d5;
  font-size: 10px;
  font-weight: bold;
  padding-right: 12px;
  position: relative;

  &::after {
    content: '';
    display: inline-block;
    background: url('/static_extra/sp/images/icon_arrow2_right5.svg') no-repeat;
    background-size: contain;
    width: 7px;
    height: 9px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
  }
}
#switch-input-example {
  display: none;
}
#modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: -10;
  opacity: 0;
  transition: all 0.5s;
}
#modal-wrapper.active {
  z-index: 999;
  opacity: 1;
  transition: all 0.5s;
  display: flex;
  justify-content: center;
  align-items: center;
}
#modal-wrapper .switch {
  opacity: 0;
}
#modal-wrapper.active .switch {
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
  z-index: 0;
}
#modal-wrapper .modal-container {
  opacity: 0;
}
#modal-wrapper.active .modal-container {
  opacity: 1;
  position: relative;
  z-index: 1;
  background-color: #fff;
  font-size: 13px;
  padding: 1.5em 2em;
  display: flex;
  gap: 2em;
  margin: 0 15px;
}
#modal-wrapper .modal-container .modal-content {
  flex: 1;
}
#modal-wrapper .modal-container .modal-content .title {
  font-size: 14px;
  font-weight: bold;
}
#modal-wrapper .modal-container .modal-content .example-wrapper {
  display: flex;
  flex-direction: column;
  border: 1px solid #c7c7c7;
  margin-bottom: 8px;
}
#modal-wrapper .modal-container .modal-content .example-wrapper .example-content {
  display: flex;
}
#modal-wrapper .modal-container .modal-content .example-wrapper .example-content:not(:last-child) {
  border-bottom: 1px solid #c7c7c7;
}
#modal-wrapper .modal-container .modal-content .example-wrapper .example-content div {
  display: flex;
  align-items: center;
}
#modal-wrapper .modal-container .modal-content .example-wrapper .example-content div:first-child {
  width: 2.5em;
  justify-content: center;
}
#modal-wrapper .modal-container .modal-content .example-wrapper .example-content div:not(:first-child) {
  padding: 0.8em;
  width: 100%;
  border-left: 1px solid #c7c7c7;
}
#modal-wrapper .modal-container .modal-content p {
  font-size: 12px;
}
#modal-wrapper .modal-container .hr {
  width: 1px;
  background: #c7c7c7;
}
#modal-wrapper .modal-container .close-btn {
  content: '';
  background: url(../images/btn_close1_1.png) 0 0 no-repeat;
  position: absolute;
  top: -24px;
  right: -24px;
  width: 48px;
  height: 48px;
}

/*絞り混み条件の説明*/
.filter-optional {
  text-align: center;
  color: #666c75;
  background-color: #e6e6e6;
  padding: 8px 0 8px 0;
  margin-top: 40px;
}

.filter-optional__title {
  line-height: 1.5;
}

/*検索ボタンの幅*/
input.btn.is-type1_4,
button.btn.is-type1_4,
a.btn.is-type1_4 {
  width: 580px;
  font-size: 13px;
  font-weight: bold;
  margin-top: 40px;
}

.search-tip {
  text-align: center;
  margin: 64px 0 26px;
}

.search-tip__text {
  font-size: 12px;
  color: #4c5159;
  font-weight: bold;
}

/* ------------------------------------------------- *
*        formText1
* ------------------------------------------------- */

/*フォームテキスト設定*/
.formText1 {
  width: 480px;
  box-sizing: border-box;
  border: 1px solid #cacaca;
  border-radius: 2px;
  padding: 12px 16px;
  height: 40px;
  font-size: 12px;
  color: #4c5159;
}

/*登録番号のフォームテキスト設定*/
.formGroup4 .formText1 {
  display: inline-block;
  width: 225.5px;
}

.formGroup4_text {
  display: inline-block;
  margin: 0 8px;
}

/*級別~性別スタイル*/
.formSelect1.is-w100p {
  width: 480px;
  box-sizing: border-box;
  border: 1px solid #cacaca;
  border-radius: 2px;
  padding: 12px 16px;
  height: auto;
  font-size: 12px;
  color: #4c5159 !important;
  -webkit-appearance: none;
  appearance: none;
  background: url('/static_extra/pc/images/select-arrow.svg') no-repeat;
  background-size: 0.8em auto;
  background-position: right 16px center;
}
.formSelect1.is-w100p:invalid {
  color: #c7c7c7;
}
.formSelect1.is-w100p option {
  color: #4c5159;
  background: white;
}

/* ------------------------------------------------- *
*        formTable2
* ------------------------------------------------- */

.formTable2.is-w580 {
  width: 580px;
  margin: auto;
}

.formTable2 table {
  margin-top: -30px;
  width: 100%;
}

.formTable2 th,
.formTable2 td {
  padding-top: 30px;
  vertical-align: middle;
}

/*登録期、級別、支部、出身地、性別のラベル*/
.formTable2_label {
  font-weight: bold;
  color: #666c75;
  padding-right: 10px;
  text-align: left;

  &::before {
    display: block;
    content: '';
    position: absolute;
    width: 3px;
    height: 16px;
    background: #0069d5;
  }
}

.formTable2_input {
  padding-right: 0;
  text-align: right;
}

/*バナー画像のスタイル*/
.banner-container {
  display: flex;
  justify-content: center;
  gap: 24px;
}

.banner-link {
  width: 32%; /* 元のインラインスタイルと同じ幅 */
}

.banner-image {
  width: 100%;
  height: auto;
  display: block;
}

/* ------------------------------------------------- *
*        result__container
* ------------------------------------------------- */

.result__container .pageNav1 {
  margin-top: 30px;
}
